Skip to content

Issue with “Vim(let):E684: list index out of range: 1”

March 31, 2012

As you may know, I am a big Vim fan and installed a bunch of plugins. Here is my .vim directory if you want to take a look. I am using github to share among all my machines and this makes my life much easier . I recently ( may not be that recent 🙂 found a problem that I always get error message “Vim(let):E684: list index out of range: 1” when I am trying to open a file from nerdtree. I of course thought this was caused by it and opened a bug here.  It turned out that the bug was caused by another plugin bufexplorer and it went away after upgrade to the latest version.

Lessons learned

1. The root cause is always under the cover by some seems obvious problem

2. Always closely follow up the issue after you open it

3.  Write down what you found that may benefit others

Advertisements

From → Uncategorized

2 Comments
  1. What did you upgrade that fixed it? Bufexplorer or Vim itself?

    PS, thanks for the post!

  2. Nevermind… I got it… Upgraded Bufexplorer. THANKS AGAIN!

    PS – don’t worry about moderating my comments. Thanks 🙂

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: